Subject: Re: [79attendees] Visa handlers for the US (and elsewhere)

From: "Norm Wright" <[email-masked]>
Date: Thu, 07 Oct 2010 08:44:32 -0400

To All,

    I obtained my VISA from the Chinese Embassy in Washington D.C..  It was
straight forward.  I followed the instructions from the Embassy visa site and
obtained the VISA in a day ($140.00 for the VISA and $30.00 for one day
handling).  If you have a day that you can spend and are in a city that has
an Embassy/Consulate it is an easy way to go.

Norm Wright
[email-masked]

----- Original Message -----
From: "Frankel, Sheila E." <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: Re: [79attendees] Visa handlers for the US (and elsewhere)
Date: Wed, 6 Oct 2010 11:44:42 -0400

>Has anyone tried applying for a visa yourself by visiting the embassy?
>
>Sheila Frankel
>________________________________________
>From: [email-masked] [[email-masked]] On Behalf Of
>Ed Jankiewicz [[email-masked]] Sent: Wednesday, October 06, 2010
>10:21 AM To: [email-masked]
>Subject: Re: [79attendees] Visa handlers for the US (and elsewhere)
>
>  I've had a good experience so far (application and submission - still
>waiting for the actual return of the visa) with CIBT.  Personal
>attention and follow-up.  http://www.us.cibt.com/
>
>they have offices in USA, Canada, Australia and several European locations.
>_______________________________________________
>79attendees mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/79attendees